All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals
Class BasicTriStateCheckBoxListUI

    com.sas.swing.visuals.BasicTriStateCheckBoxListUI

    public class BasicTriStateCheckBoxListUI

A Windows L&F implementation of TriStateCheckBoxListUI.

See Also:
  `TriStateCheckBoxList`

Nested Class Summary
`static class` | `BasicTriStateCheckBoxListUI.EndAction` Action to move the selection to the last item in the list.
`static class` | `BasicTriStateCheckBoxListUI.HomeAction` Action to move the selection to the first item in the list.
`static class` | `BasicTriStateCheckBoxListUI.IncrementLeadSelectionAction` Action to increment the selection in the list up/down a row at a type.
`static class` | `BasicTriStateCheckBoxListUI.PageDownAction` Action to move down one page.
`static class` | `BasicTriStateCheckBoxListUI.PageUpAction` Action to move up one page.

Nested classes/interfaces inherited from class com.sas.swing.visuals.BasicCheckBoxListUI
`BasicCheckBoxListUI.CheckBoxListMouseInputHandler, BasicCheckBoxListUI.ClearSelectionAction, BasicCheckBoxListUI.SelectAllAction`

Field Summary

Fields inherited from class com.sas.swing.visuals.BasicCheckBoxListUI
`CHANGE_SELECTION, MOVE_TO_SELECTION`

Constructor Summary
`BasicTriStateCheckBoxListUI()`

Method Summary
`protected javax.swing.ActionMap` | `createActionMap()` create new actionMap to handle key events for changing between rows and selecting rows
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent list)` Returns a new instance of BasicTriStateCheckBoxListUI.

Methods inherited from class com.sas.swing.visuals.BasicCheckBoxListUI
`createMouseInputListener, getActionMap, getInputMap, installKeyboardActions`

Constructor Detail

### BasicTriStateCheckBoxListUI

    public BasicTriStateCheckBoxListUI()

Method Detail

### createActionMap

    protected javax.swing.ActionMap createActionMap()

  create new actionMap to handle key events for changing between rows and selecting rows

  Overrides:
    `createActionMap` in class `BasicCheckBoxListUI`
  Returns:
    actionMap

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent list)

  Returns a new instance of BasicTriStateCheckBoxListUI. BasicTriStateCheckBoxListUI delegates are allocated one per TriStateCheckBoxList.

  Returns:
    A new TriStateCheckBoxListUI implementation for the Windows look and feel.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.